POST
/eventrules/run/{name}Run an on-demand event rule
Triggers the specified on-demand event rule. The rule's actions will execute asynchronously in the background. To receive a notification when execution completes, add an appropriate action (e.g., email or HTTP callback) to the rule
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
namestringrequired
on-demand rule name
202successful operation
errorstringoptional
error description if any
messagestringoptional
message, can be empty
400Bad Request
errorstringoptional
error description if any
messagestringoptional
message, can be empty
401Unauthorized
errorstringoptional
error description if any
messagestringoptional
message, can be empty
403Forbidden
errorstringoptional
error description if any
messagestringoptional
message, can be empty
404Not Found
errorstringoptional
error description if any
messagestringoptional
message, can be empty
500Internal Server Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
defaultUnexpected Error
errorstringoptional
error description if any
messagestringoptional
message, can be empty
Error handling
A 400 is returned: Bad Request. A 401 is returned: Unauthorized. A 403 is returned: Forbidden. A 404 is returned: Not Found. A 500 is returned: Internal Server Error. Any other status is an error: Unexpected Error.